Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DeferredCDATASectionImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.CharacterDataImpl
                        |
                        +--org.apache.xerces.dom.TextImpl
                              |
                              +--org.apache.xerces.dom.CDATASectionImpl
                                    |
                                    +--org.apache.xerces.dom.DeferredCDATASectionImpl

All Implemented Interfaces:
  org.w3c.dom.CDATASection, org.w3c.dom.CharacterData, java.lang.Cloneable, DeferredNode, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.Text

public class DeferredCDATASectionImpl
extends CDATASectionImpl
implements DeferredNode

XML provides the CDATA markup to allow a region of text in which most of the XML delimiter recognition does not take place. This is intended to ease the task of quoting XML fragments and other programmatic information in a document's text without needing to escape these special characters. It's primarily a convenience feature for those who are hand-editing XML.

CDATASection is an Extended DOM feature, and is not used in HTML contexts.

Within the DOM, CDATASections are treated essentially as Text blocks. Their distinct type is retained in order to allow us to properly recreate the XML syntax when we write them out.

Reminder: CDATA IS NOT A COMPLETELY GENERAL SOLUTION; it can't quote its own end-of-block marking. If you need to write out a CDATA that contains the ]]> sequence, it's your responsibility to split that string over two successive CDATAs at that time.

CDATA does not participate in Element.normalize() processing.

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: DeferredCDATASectionImpl.java,v 1.10 2002/01/29 01:15:07 lehors Exp $
See Also:
  Serialized Form

Field Summary
`protected int` | `fNodeIndex` Node index.

Fields inherited from class org.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.apache.xerces.dom.DeferredNode
`TYPE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` | `getNodeIndex()` Returns the node index.
`protected void` | `synchronizeData()` Synchronizes the data (name and value) for fast nodes.

Methods inherited from class org.apache.xerces.dom.CDATASectionImpl
`getNodeName, getNodeType`

Methods inherited from class org.apache.xerces.dom.TextImpl
`getIsWhitespaceInElementContent, getWholeText, isIgnorableWhitespace, removeData, replaceData, replaceWholeText, setIgnorableWhitespace, setValues, splitText`

Methods inherited from class org.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setNodeValueInternal, substringData`

Methods inherited from class org.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getFirstChild, getInterface, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Text
`splitText`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Field Detail

### fNodeIndex

    protected transient int fNodeIndex

  Node index.

Method Detail

### getNodeIndex

    public int getNodeIndex()

  Returns the node index.
  Specified by:
    `getNodeIndex` in interface `DeferredNode`

### synchronizeData

    protected void synchronizeData()

  Synchronizes the data (name and value) for fast nodes.
  Overrides:
    `synchronizeData` in class `NodeImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.